# -*- coding: utf-8 -*-
import clr
import sys
import System

sys.path.append(UI.StartupPath+'\Script\Module\dll')
clr.AddReferenceToFile("EasyScript.dll")
from EasyScript import *
EasyScript = EasyScript()

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※【免空科學研究所 　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】※")
UI.UpdateLog("※～㊣　　　　　　　　 　　傻Ｂ　　製作分享　　　　　　　㊣～※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13")
UI.UpdateLog("【上傳空間】：fastshare.org")
UI.UpdateLog("【上傳大小】：300 MB")
UI.UpdateLog("【砍檔時間】：未知")
UI.UpdateLog("【腳本功能】：無帳號上傳")
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列")
UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)
URL="http://www.fastshare.org/"
HTML=HTTP.GetURL(URL)
UI.UpdateLog("開始進入上傳頁面…",2)
MAX_FILE_SIZE=EasyScript.GetstrToVariable(HTML,'"MAX_FILE_SIZE" value="','"',1)
HTTP.AddUpParam("MAX_FILE_SIZE",MAX_FILE_SIZE)
HTTP.AddUpParam("SendenButton","Upload")
HTTP.AddFileReference("image")
HTML=UI.UpFile("http://www.fastshare.org/upload.php")
DL_LINK=EasyScript.GetstrToVariable(HTML,'<br> <a href="','"',1)
if DL_LINK!=False:
	UI.UpdateLog("＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝",2)
        UI.UpdateLog("下載連結：",4)
        UI.UpdateLog(DL_LINK)
        UI.AddShareLink(DL_LINK)
        UI.ProceSuccess()
else:
        UI.UpdateLog("無法取得網址",3)
        UI.ProceFalse()